io.undertow.io

## Interface BufferWritableOutputStream

All Known Implementing Classes:
  UndertowOutputStream

    public interface BufferWritableOutputStream

Represents an output stream that can write byte buffers directly.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `transferFrom(FileChannel source)`
`void` `write(ByteBuffer byteBuffer)`
`void` `write(ByteBuffer[] buffers)`

### Method Detail

#### write

    void write(ByteBuffer[] buffers)
        throws IOException

Throws:
  `IOException`

#### write

    void write(ByteBuffer byteBuffer)
        throws IOException

Throws:
  `IOException`

#### transferFrom

    void transferFrom(FileChannel source)
               throws IOException

Throws:
  `IOException`